Subject: ANNOUNCE: libnet-1.00
From: Graham Barr <[email-masked]>
Date: 24 Jun 1996 11:35:53 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

I have just uploaded to CPAN a new distribution called libnet. This distribution
contains, and replaces, all of my previous Net- modules.

As well as containing updates to most of the Net:: modules, the libnet
distribution also contains several new modules.

It should be avaliable on mirror sites soon.

Comments are always very welcome.

Here is a copy of the README.

This is the README file for the libnet distribution. It combines and replaces
several of my previous distributions

    Net-Domain
    Net-FTP
    Net-SMTP

libnet contains

  Net::FTP     (RFC959)
  Net::SMTP    (RFC821)
  Net::Netrc
  Net::Cmd
  Net::Domain
  Net::Telnet  (RFC854)
  Net::Time    (RFC867 & RFC868)
  Net::NNTP    (RFC977)
  Net::POP3    (RFC1939)

some possible future packages might be 

 Net::Finger (RFC1288)
 Net::Resolv

Net::FTP is a perl5 package which implements the client side of
a FTP connection as per RFC959

In order to use this distribution you will need Perl version 5.001m or
better. The File::Listing package can be found in the libwww distribution.
To use the complete libwww distribution you require 5.002, If you
do not have 5.002 File::Listing can be extracted from libwww and will work
with 5.001

See ChangeLog for recent changes. POD style documentation is included in
all/most modules and scripts. You should be able to use the 'perldoc'
utility to extract documentation from these files.

Before building this extension you will require the following modules. The 
building of the Makefile will abort if you do not have the required versions.
All of these modules should be avaliable from CPAN (see README.CPAN for 
more information)

   IO     v1.05
   Socket v1.03

You install the library by running these commands:

   perl Makefile.PL
   make
   make test
   make install

You can edit the configuration section of Makefile.PL to select which
programs to install in addition to the library itself.  If you don't
want to install any programs at all then make the initial Makefile with:

   perl Makefile.PL -l

Hostname.pm.eg is an example module that can be use in place of Sys::Hostname
it will cause Sys::Hostname to use Net::Domain and if used in a perl -w
will inform of the use of Sys::Hostname

Net::Domain only *attempts* to locate the current hostname and DNS domainname
I cannot gaurantee that it will. It has been found at least once where
a machine had no way at all of locating its FQDN. If this is so you
results from the test.pl script included may look something like

Domainname = hostname
Hostname   = hostname
Hostdomain = 

The demos directory does contain a few demo scripts. These should be run from
the top directory like

    demos/smtp.self -user my-email-address -debug

Please report any bugs/suggestions to <[email-masked]>

When reporting bugs/problems please, if possible, include a transcript of
a run with the Debug option turned on.

Copyright 1996 Graham Barr. All rights reserved.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

Share and Enjoy!
Graham <[email-masked]>
--
Graham Barr <[email-masked]>
Texas Instruments Ltd.